Package com.usatiuk.dhfs.jkleppmanntree

# Class JKleppmannTreePeerInterface

java.lang.Object
com.usatiuk.dhfs.jkleppmanntree.JKleppmannTreePeerInterface

All Implemented Interfaces:
  `PeerInterface<PeerId>`

@Singleton public class JKleppmannTreePeerInterface extends Object implements PeerInterface<PeerId>

## Constructor Summary

Constructors
Constructor
Description
`JKleppmannTreePeerInterface()`

## Method Summary

Modifier and Type
Method
Description
`Collection<PeerId>`
`getAllPeers()`
`PeerId`
`getSelfId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JKleppmannTreePeerInterface

public JKleppmannTreePeerInterface()

## Method Details

### getSelfId

public PeerId getSelfId()

Specified by:
  `getSelfId` in interface `PeerInterface<PeerId>`

### getAllPeers

public Collection<PeerId> getAllPeers()

Specified by:
  `getAllPeers` in interface `PeerInterface<PeerId>`